Send a push Live Activity notification
curl --request POST \
--url https://api.sendrealm.com/push/live-activities/{activity_id}/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"app_id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"status": "<string>",
"progress": 0.5,
"eta": "<string>",
"image_url": "<string>",
"accent_color": "<string>",
"launch_url": "<string>",
"dismiss_at": "2023-11-07T05:31:56Z",
"buttons": [
{
"id": "<string>",
"text": "<string>",
"title": "<string>",
"icon": "<string>",
"launch_url": "<string>"
}
],
"data": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
app_id: '<string>',
title: '<string>',
subtitle: '<string>',
body: JSON.stringify('<string>'),
status: '<string>',
progress: 0.5,
eta: '<string>',
image_url: '<string>',
accent_color: '<string>',
launch_url: '<string>',
dismiss_at: '2023-11-07T05:31:56Z',
buttons: [
{
id: '<string>',
text: '<string>',
title: '<string>',
icon: '<string>',
launch_url: '<string>'
}
],
data: {}
})
};
fetch('https://api.sendrealm.com/push/live-activities/{activity_id}/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/live-activities/{activity_id}/notifications"
payload = {
"app_id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"status": "<string>",
"progress": 0.5,
"eta": "<string>",
"image_url": "<string>",
"accent_color": "<string>",
"launch_url": "<string>",
"dismiss_at": "2023-11-07T05:31:56Z",
"buttons": [
{
"id": "<string>",
"text": "<string>",
"title": "<string>",
"icon": "<string>",
"launch_url": "<string>"
}
],
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"activity_id": "<string>",
"event": "<string>",
"total": 123,
"sent": 123,
"failed": 123
}
}{
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"activity_id": "<string>",
"event": "<string>",
"total": 123,
"sent": 123,
"failed": 123
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Push Notifications
Send Push Live Activity Notification
Send an update or end event to an existing Live Activity session.
POST
/
push
/
live-activities
/
{activity_id}
/
notifications
Send a push Live Activity notification
curl --request POST \
--url https://api.sendrealm.com/push/live-activities/{activity_id}/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"app_id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"status": "<string>",
"progress": 0.5,
"eta": "<string>",
"image_url": "<string>",
"accent_color": "<string>",
"launch_url": "<string>",
"dismiss_at": "2023-11-07T05:31:56Z",
"buttons": [
{
"id": "<string>",
"text": "<string>",
"title": "<string>",
"icon": "<string>",
"launch_url": "<string>"
}
],
"data": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
app_id: '<string>',
title: '<string>',
subtitle: '<string>',
body: JSON.stringify('<string>'),
status: '<string>',
progress: 0.5,
eta: '<string>',
image_url: '<string>',
accent_color: '<string>',
launch_url: '<string>',
dismiss_at: '2023-11-07T05:31:56Z',
buttons: [
{
id: '<string>',
text: '<string>',
title: '<string>',
icon: '<string>',
launch_url: '<string>'
}
],
data: {}
})
};
fetch('https://api.sendrealm.com/push/live-activities/{activity_id}/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/live-activities/{activity_id}/notifications"
payload = {
"app_id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"status": "<string>",
"progress": 0.5,
"eta": "<string>",
"image_url": "<string>",
"accent_color": "<string>",
"launch_url": "<string>",
"dismiss_at": "2023-11-07T05:31:56Z",
"buttons": [
{
"id": "<string>",
"text": "<string>",
"title": "<string>",
"icon": "<string>",
"launch_url": "<string>"
}
],
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"activity_id": "<string>",
"event": "<string>",
"total": 123,
"sent": 123,
"failed": 123
}
}{
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"activity_id": "<string>",
"event": "<string>",
"total": 123,
"sent": 123,
"failed": 123
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Send an update or end event to an existing Live Activity session.
Use
{
"app_id": "push_app_short_id",
"event": "update",
"title": "Delivery",
"status": "Driver nearby",
"progress": 0.75,
"eta": "2026-06-21T21:05:00.000Z",
"buttons": [
{
"id": "open",
"text": "Open",
"launch_url": "myapp://orders/123"
}
]
}
"event": "end" to close the Live Activity. End events may include a final
status, body, and dismiss_at timestamp.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Live Activity update or end payload
Push app short ID.
Available options:
update, end Required range:
0 <= x <= 1Maximum string length:
2048Maximum array length:
3- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I